E-Arogya - Bug #85

Feature # 65 (New): Security Audit

[Security Audit ] 20- Cross Origin Resource Sharing (CORS) Misconfiguration
17/04/2024 04:02 PM - Kalyan Battula

Status: Closed Start date: 17/04/2024
Priority: Normal Due date:

Assignee: Harish Beechani % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Security Audit Spent time: 0:00 hour
Deployed In: Category:

Description

20- Cross Origin Resource Sharing (CORS) Misconfiguration

CWE : CWE-642

Description :

The application implements an HTMLS5 cross-origin resource sharing (CORS) policy for
this request that allows access from any domain.

Affected Path(s) :

/(WebServer)

Impact :

Any website can make XHR requests to your site and access the responses.
Recommendation :

It is recommended not to use Access-Control-Allow-Origin: *.

Instead use Access-Control-Allow-Origin header should contain the list of
origins that can make CORS requests.

Reference Link:

https://cwe.mitre.org/data/definitions/942.htmlhttps://owasp.org/wwwcommunity/attacks/CORS_ OriginHeaderScrutiny

Evidence/Proof Of Concept :

Step 1: Cross Origin Resource Sharing (CORS) Misconfiguration as shown in below
screenshot.
History

#1 - 18/04/2024 11:39 PM - Pavan kumar Siddamsetti

- Assignee set to Harish Beechani

#2 - 24/04/2024 12:46 AM - Vasudev Mamidi

- Status changed from New to Resolved

#3 - 03/05/2024 05:24 AM - Sivakanth Kesiraju
- Target version set to Sprint 1 (29th April - 3rd May)

#4 - 03/05/2024 05:28 AM - Sivakanth Kesiraju
- Target version changed from Sprint 1 (29th April - 3rd May) to Security Audit

#5 - 30/09/2024 05:16 PM - Gautam Kumar

- Status changed from Resolved to Closed
